MODULE_DEPEND(9)

NAME
MODULE_DEPEND - set kernel module dependencies

SYNOPSIS
#include <sys/param.h>
#include <sys/module.h>
MODULE_DEPEND(name, moddepend, int minversion, int prefversion, int maxversion);

DESCRIPTION
The MODULE_DEPEND() macro sets a dependency on another kernel module with name moddepend, which has registered its version with MODULE_VERSION().

The MODULE_DEPEND() macro provides hints to the kernel loader(8) and to the kernel linker to ensure that the named dependency is loaded prior to the existing module. It does not change or dictate the order in which modules are initialized at runtime.

Three versions must be specified for moddepend:

minversion
    The minimum version on which the current module can depend.

maxversion
    The maximum version on which the current module can depend.

prefversion
    The preferred version on which the current module can depend.

EXAMPLES

    MODULE_DEPEND(foo, bar, 1, 3, 4);

SEE ALSO
DECLARE_MODULE(9), module(9), MODULE_VERSION(9)

AUTHORS
-nosplit This manual page was written by Alexander Langer <alex@FreeBSD.org>.